MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004959ATutorSessionpublic2012-03-12 17:212012-07-26 10:00
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.1 
Summary0004959: https via $_SERVER['HTTPS']
DescriptionOn atutorspaces.com when detecting https with $_SERVER['HTTPS'] no such variable exists in constants.inc.php. However checking $_SERVER['HTTP_X_FORWARDED_PROTO'] == 'https' the value is set.

Should we consider using the latter for https detection.
TagsNo tags attached.
Affects versionSVN
SVN Revision#0d718d9..0b3e489 atutor_2_0_3-multisite -> atutor_2_0_3-multisite
Attached Files

- Relationships

-  Notes
(0005568)
greg (administrator)
2012-06-05 13:10

https detection now for HTTPS and HTTP_X_FORWARDED_PROTO
(0005768)
greg (administrator)
2012-07-26 10:00

closed for ATutor 2.1

- Issue History
Date Modified Username Field Change
2012-03-12 17:21 greg New Issue
2012-06-05 13:10 greg SVN Revision# => 0d718d9..0b3e489 atutor_2_0_3-multisite -> atutor_2_0_3-multisite
2012-06-05 13:10 greg Note Added: 0005568
2012-06-05 13:10 greg Status new => resolved
2012-06-05 13:10 greg Fixed in Version => 2.1
2012-06-05 13:10 greg Resolution open => fixed
2012-06-05 13:10 greg Assigned To => greg
2012-07-26 10:00 greg Note Added: 0005768
2012-07-26 10:00 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker